call_usermodehelper_stdinpipe
Prev | Module Loading | Next

## Name

call_usermodehelper_stdinpipe — set up a pipe to be used for stdin

## Synopsis

`int call_usermodehelper_stdinpipe (` | struct subprocess_info * | sub_info,
| struct file ** | filp`)`;

## Arguments

`sub_info`

  a subprocess_info returned by call_usermodehelper_setup

`filp`

  set to the write-end of a pipe

## Description

This constructs a pipe, and sets the read end to be the stdin of the subprocess, and returns the write-end in *`filp`.

Prev | Up | Next
call_usermodehelper_setcleanup | Home | call_usermodehelper_exec